{% set rp = app.request.attributes.get('_route_params') %}
{% set route = app.request.attributes.get('_route') %}

{% if 'employee' in route %}
    {% set role = 'employee' %}
{% else %}
    {% set role = 'supervisor' %}
{% endif %}

{% set selected_date = date(year ~ '-' ~ month ~ '-' ~ day) %}

<div class="switch_menu_wrapper">

    <div class="switch_menu">
        <a href="{{ path(role ~ '_plan', {
            'items': 'timeslot',
            'view': view,
            'year': year,
            'month': month,
            'day': day
        }) }}" {% if rp['items'] == 'timeslot' %} class="selected" {% endif %}>{{ 'Timeslots' | trans }}</a><!--
        --><a href="{{ path(role ~ '_plan', {
            'items': 'shift',
            'view': view,
            'year': year,
            'month': month,
            'day': day
        }) }}" {% if rp['items'] == 'shift' %} class="selected" {% endif %}>{{ 'Shifts' | trans }}</a>
    </div>

    <div class="switch_menu">
        {% if role != 'supervisor' %}
            <a href="{{ path(role ~ '_plan', {
                'items': items,
                'view': 'agenda',
                'year': year,
                'month': month,
                'day': day
            }) }}" {% if rp['view'] == 'agenda' %} class="selected" {% endif %}>{{ 'Agenda' | trans }}</a><!--
        -->{% endif %}<!--
        --><a href="{{ path(role ~ '_plan', {
            'items': items,
            'view': 'calendar',
            'year': year,
            'month': month,
            'day': day
        }) }}" {% if rp['view'] == 'calendar' %} class="selected" {% endif %}>{{ 'Calendar' | trans }}</a><!--
        --><a href="{{ path(role ~ '_plan', {
            'items': items,
            'view': 'daily',
            'year': year,
            'month': month,
            'day': day
        }) }}" {% if rp['view'] == 'daily' %} class="selected" {% endif %}>{{ 'Daily' | trans }}</a>
    </div>
    <div class="general_header_wrapper">
    {% if rp['view'] == 'calendar' %}
        {% if month != 1 %}
            <a href="{{ path(role ~ '_plan', {
                'items': items,
                'view': view,
                'year': year,
                'month': month - 1
            }) }}" class="paging_button left">&nbsp;</a><!--
        -->{% endif %}<!--
        --><div class="general_header paging_label">{{ 'Overview for' | trans }} {{ selected_date | date('F')|trans }}</div><!--
        -->{% if month != 12 %}<!--
            --><a href="{{ path(role ~ '_plan', {
                'items': items,
                'view': view,
                'year': year,
                'month': month + 1
            }) }}" class="paging_button right">&nbsp;</a>
        {% endif %}
    {% elseif rp['view'] == 'daily' %}
        {% if day != 1 %}<!--
            --><a href="{{ path(role ~ '_plan', {
                'items': items,
                'view': view,
                'year': year,
                'month': month,
                'day': day-1
            }) }}" class="paging_button left">&nbsp;</a><!--
        -->{% endif %}<!--
        --><div class="general_header paging_label">{{ 'Overview for' | trans }} {{ day }}. {{ selected_date | date('F') | trans}}</div><!--
        -->{% if day != selected_date|date('t') %}<!--
            --><a href="{{ path(role ~ '_plan', {
                'items': items,
                'view': view,
                'year': year,
                'month': month,
                'day': day+1
            }) }}" class="paging_button right">&nbsp;</a>
        {% endif %}
    {% endif %}
    </div>
</div>

